> ## Documentation Index
> Fetch the complete documentation index at: https://developers.yara.cash/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a wallet

> Creates one wallet and generates a receive address for every supported deposit chain.



## OpenAPI

````yaml /openapi.json post /v1/wallets
openapi: 3.0.0
info:
  contact:
    email: support@yara.cash
    name: Yara API Support
  description: >-
    Create customers and multi-chain wallets, receive deposits, view account
    balances and transactions, and make payouts.
  license:
    name: Proprietary
  title: Yara External API - Public API
  version: '1.0'
servers:
  - url: https://api.yara.cash
security: []
paths:
  /v1/wallets:
    post:
      tags:
        - public.wallets
      summary: Create a wallet
      description: >-
        Creates one wallet and generates a receive address for every supported
        deposit chain.
      parameters:
        - description: Idempotency key
          in: header
          name: X-Idempotency-Key
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WalletCreateRequest'
        description: Wallet creation request
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WalletResponse'
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WalletResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    WalletCreateRequest:
      properties:
        customer_id:
          example: 5ec10df5-acde-4e95-926c-2174279cf2fd
          type: string
        label:
          example: Customer receipts
          type: string
      type: object
    WalletResponse:
      properties:
        data:
          $ref: '#/components/schemas/Wallet'
        error:
          type: string
        message:
          example: resource retrieved
          type: string
        status:
          enum:
            - success
          example: success
          type: string
      required:
        - data
        - error
        - message
        - status
      type: object
    ErrorResponse:
      properties:
        data:
          additionalProperties: {}
          type: object
        error:
          example: validation_error
          type: string
        message:
          example: invalid JSON body
          type: string
        status:
          enum:
            - error
          example: error
          type: string
      required:
        - data
        - error
        - message
        - status
      type: object
    Wallet:
      properties:
        created_at:
          example: '2026-08-17T10:00:00Z'
          type: string
        customer_id:
          example: 5ec10df5-acde-4e95-926c-2174279cf2fd
          type: string
        destinations:
          items:
            $ref: '#/components/schemas/WalletDestination'
          type: array
        id:
          example: 7f7c6713-3fdc-43fb-a9e7-d3c364e7c763
          type: string
        label:
          example: Customer receipts
          type: string
        merchant_id:
          example: 8fca3c8d-5d48-4f4d-a286-2ef6d1cd2f01
          type: string
        status:
          example: ACTIVE
          type: string
        updated_at:
          example: '2026-08-17T10:00:02Z'
          type: string
      type: object
    WalletDestination:
      properties:
        address:
          example: '0x742d35Cc6634C0532925a3b844Bc454e4438f44e'
          type: string
        chain:
          example: BASE
          type: string
        failure_reason:
          example: provider unavailable
          type: string
        id:
          example: ea38c60e-7a0b-44f6-bdf0-8ec13a7e471a
          type: string
        last_attempted_at:
          example: '2026-08-17T10:00:00Z'
          type: string
        provisioned_at:
          example: '2026-08-17T10:00:02Z'
          type: string
        status:
          example: ACTIVE
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      description: Your Yara API key. Send it in the X-Yara-API-Key header.
      in: header
      name: X-Yara-API-Key
      type: apiKey

````